# Class QuorumAuth

java.lang.Object
org.apache.zookeeper.server.quorum.auth.QuorumAuth

public class QuorumAuth extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`QuorumAuth.Status`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`QUORUM_AUTH_MAGIC_NUMBER`
`static final String`
`QUORUM_KERBEROS_SERVICE_PRINCIPAL`
`static final String`
`QUORUM_KERBEROS_SERVICE_PRINCIPAL_DEFAULT_VALUE`
`static final String`
`QUORUM_LEARNER_SASL_AUTH_REQUIRED`
`static final String`
`QUORUM_LEARNER_SASL_LOGIN_CONTEXT`
`static final String`
`QUORUM_LEARNER_SASL_LOGIN_CONTEXT_DFAULT_VALUE`
`static final String`
`QUORUM_SASL_AUTH_ENABLED`
`static final String`
`QUORUM_SERVER_SASL_AUTH_REQUIRED`
`static final String`
`QUORUM_SERVER_SASL_LOGIN_CONTEXT`
`static final String`
`QUORUM_SERVER_SASL_LOGIN_CONTEXT_DFAULT_VALUE`

## Constructor Summary

Constructors
Constructor
Description
`QuorumAuth()`

## Method Summary

Modifier and Type
Method
Description
`static QuorumAuthPacket`
`createPacket(QuorumAuth.Status status, byte[] response)`
`static boolean`
`nextPacketIsAuth(DataInputStream din)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### QUORUM_SASL_AUTH_ENABLED

public static final String QUORUM_SASL_AUTH_ENABLED

See Also:
  - Constant Field Values

### QUORUM_SERVER_SASL_AUTH_REQUIRED

public static final String QUORUM_SERVER_SASL_AUTH_REQUIRED

See Also:
  - Constant Field Values

### QUORUM_LEARNER_SASL_AUTH_REQUIRED

public static final String QUORUM_LEARNER_SASL_AUTH_REQUIRED

See Also:
  - Constant Field Values

### QUORUM_KERBEROS_SERVICE_PRINCIPAL

public static final String QUORUM_KERBEROS_SERVICE_PRINCIPAL

See Also:
  - Constant Field Values

### QUORUM_KERBEROS_SERVICE_PRINCIPAL_DEFAULT_VALUE

public static final String QUORUM_KERBEROS_SERVICE_PRINCIPAL_DEFAULT_VALUE

See Also:
  - Constant Field Values

### QUORUM_LEARNER_SASL_LOGIN_CONTEXT

public static final String QUORUM_LEARNER_SASL_LOGIN_CONTEXT

See Also:
  - Constant Field Values

### QUORUM_LEARNER_SASL_LOGIN_CONTEXT_DFAULT_VALUE

public static final String QUORUM_LEARNER_SASL_LOGIN_CONTEXT_DFAULT_VALUE

See Also:
  - Constant Field Values

### QUORUM_SERVER_SASL_LOGIN_CONTEXT

public static final String QUORUM_SERVER_SASL_LOGIN_CONTEXT

See Also:
  - Constant Field Values

### QUORUM_SERVER_SASL_LOGIN_CONTEXT_DFAULT_VALUE

public static final String QUORUM_SERVER_SASL_LOGIN_CONTEXT_DFAULT_VALUE

See Also:
  - Constant Field Values

### QUORUM_AUTH_MAGIC_NUMBER

public static final long QUORUM_AUTH_MAGIC_NUMBER

See Also:
  - Constant Field Values

## Constructor Details

### QuorumAuth

public QuorumAuth()

## Method Details

### createPacket

public static QuorumAuthPacket createPacket(QuorumAuth.Status status, byte[] response)

### nextPacketIsAuth

public static boolean nextPacketIsAuth(DataInputStream din) throws IOException

Throws:
  `IOException`